%define name gproc
%define version 0.3.2 
%define release 3mdk

Summary: processes manager
Name: %{name}
Version:  %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://gproc.ctw.cc/
Copyright: GPL
Group: Monitoring
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: /usr/X11R6

%description
GProc is a gnome applet which allows you to manage your running processes with
only a few mouse clicks. 

%prep
%setup -q 
make CFLAGS="$RPM_OPT_FLAGS `gnome-config --cflags applets`"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin	\
	$RPM_BUILD_ROOT`gnome-config --sysconfdir`/CORBA/servers	\
	$RPM_BUILD_ROOT`gnome-config --datadir`/applets/Utility/
install -m 755 gproc_applet $RPM_BUILD_ROOT%{prefix}/bin/
install -m 755 gproc_applet.gnorba  $RPM_BUILD_ROOT`gnome-config --sysconfdir`/CORBA/servers/
install -m 755 gproc_applet.desktop $RPM_BUILD_ROOT`gnome-config --datadir`/applets/Utility/
#find $RPM_BUILD_ROOT -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

#%files -f ../file.list.%{name}
%files
%defattr(-,root,root)
%doc AUTHORS    LICENSE   README
%{prefix}/bin/*
%config /etc/CORBA/*
/usr/share/*/*/*


%changelog
* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-3mdk
- fix group
- fix files section

* Fri Dec 17 1999 lenny Cartier <lenny@mandrakesoft.com>
- fix uninstall messages

* Wed Sep 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.3.2 (better use of Gtk+ => nicer gui)

* Tue Sep 14 1999 Daouda LO <daouda@mandrakesoft.com>
- 0.30.1
* Wed Sep 08 1999 Daouda LO <daouda@mandrakesoft.com>
-0.3.0
* Mon Sep 06 1999 Daouda Lo <daouda@mandrakesoft.com>
-0.2.91
* Fri Sep 03 1999 Daouda LO <daouda@mandrakesoft.com>
 -0.2.9
 
* Wed Aug 18 1999 Daouda LO <daouda@mandrakesoft.com>
- release 2mdk
- remove the description fr

# end of file
